liblo (0.32-1) unstable; urgency=medium

  [ Felipe Sateler ]
  * Remove myself from uploaders

  [ Dennis Braun ]
  * New upstream version 0.32
  * Bump Standards-Version to 4.6.2
  * Update d/liblo7.symbols with new functions
  * d/watch: Use github API to download from releases page
  * Change my email address

 -- Dennis Braun <snd@debian.org>  Sun, 28 Apr 2024 17:59:12 +0200

liblo (0.31-1) unstable; urgency=medium

  [ Dennis Braun ]
  * New upstream version 0.31
  * Bump S-V to 4.5.0
  * Bump dh-compat to 13
  * Use https protocol for all urls
  * Add me as uploader
  * Drop obsolete name from d/upstream/metadata
  * Add Bug-Submit to d/upstream/metadata
  * d/copyright: Update year and http to https
  * Add doc-base file for liblo-dev

  [ Felipe Sateler ]
  * Remove unnecessary override of dh_missing.
    Since compat 13, --fail-missing is the default
  * Wrap long lines in changelog entries: 0.30-3.

 -- Felipe Sateler <fsateler@debian.org>  Thu, 21 May 2020 16:40:59 -0400

liblo (0.30-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.0

  [ Felipe Sateler ]
  * Add glob to mark liblo.la as not installed in all architectures
  * Remove debian/source/local-options for compatibility with dgit.
    It is also unnecessary since git-buildpackge does the right thing anyway
  * Set upstream page to github.
    Also add upstream metadata file
    Fixes lintian: upstream-metadata-file-is-missing
    See https://lintian.debian.org/tags/upstream-metadata-file-is-missing.html
    for more details.

 -- Felipe Sateler <fsateler@debian.org>  Thu, 25 Jul 2019 21:01:22 -0400

liblo (0.30-2) unstable; urgency=medium

  * Upload to unstable

 -- Felipe Sateler <fsateler@debian.org>  Sun, 07 Jul 2019 22:35:27 -0400

liblo (0.30-1) experimental; urgency=medium

  [ Stephen Sinclair ]
  * New upstream version 0.30.
  * debian/rules:
    - set hardening options for binaries
      (thanks lintian hardening-no-bindnow)
    - remove --parallel, obsolete on current debhelper
  * debian/copyright:
    - remove copyright for install-sh and compile (not present)
    - add copyright for src/tools/oscsendfile.c
    - remove unused expat license.
  * debian/control:
    - update standards to 4.3.0
    - fix duplicate-short-description for liblo7-tools
    - fix binary-control-field-duplicates-source, remove section for liblo7
  * debian/liblo7.symbols:
    - add new symbols from this release
      + lo_server_thread_new_multicast_iface
      + lo_servers_recv_noblock
      + lo_servers_wait

  [ Felipe Sateler ]
  * Mark Rules-Requires-Root: no as we don't need root for building
  * Bump debhelper compat level to 12
  * Fail build if there are files missing to install.
    Instead of building faulty binaries
  * Upload to experimental due to freeze

 -- Felipe Sateler <fsateler@debian.org>  Sat, 01 Jun 2019 09:36:32 -0400

liblo (0.29-1) unstable; urgency=medium

  * New upstream version 0.29
    - Drop all debian patches.
      They were applied upstream
  * Update symbols file for new functions introduced in this release
  * Create README file before running autoreconf, and remove on clean.
    Otherwise autoreconf fails.

 -- Felipe Sateler <fsateler@debian.org>  Fri, 18 Aug 2017 11:12:05 -0300

liblo (0.28-6) unstable; urgency=medium

  * Run cme dpkg fix
  * Remove from copyright file autotools files no longer shipped
  * Switch from CDBS to short-form dh
    - Drop CDBS debian/control generation.
      Use a static file
    - Remove copyright_hints file.
  * Drop Jonas from uploaders. Thanks for all the work!
    It was used by CDBS which we no longer use
  * Bump debhelper compat to 10.
    Drop autoreconf dependencies, since they are now implied
  * Bump standards-version

 -- Felipe Sateler <fsateler@debian.org>  Thu, 10 Aug 2017 20:19:13 -0400

liblo (0.28-5) unstable; urgency=medium

  * Release to unstable
  * Refresh patches with gbp pq
  * Make build reproducible. Thanks Maria Valentina Marin <marivalenm@gmail.com>
    for the patch. (Closes: #789040)
  * Bump standards-version

 -- Felipe Sateler <fsateler@debian.org>  Sun, 05 Jul 2015 17:30:31 -0300

liblo (0.28-4) experimental; urgency=medium

  * Bump debhelper compat level to 9
  * Enable multiarch for the shared library. Closes: #774651
    Thanks to Lennart Sorensen for the patch

 -- Felipe Sateler <fsateler@debian.org>  Tue, 06 Jan 2015 21:28:39 -0300

liblo (0.28-3) unstable; urgency=medium

  * Use dh_auroreconf
  * Pick patches from upstream disabling network tests

 -- Felipe Sateler <fsateler@debian.org>  Mon, 10 Feb 2014 11:48:46 -0300

liblo (0.28-2) unstable; urgency=medium

  * Disable use of SO_REUSEPORT, build-time check does
    not guarantee availability at runtime

 -- Felipe Sateler <fsateler@debian.org>  Tue, 04 Feb 2014 09:50:32 -0300

liblo (0.28-1) unstable; urgency=low

  * New upstream release
    - Add new symbols to symbols file.
  * Bump standards version

 -- Felipe Sateler <fsateler@debian.org>  Fri, 31 Jan 2014 13:22:49 -0300

liblo (0.26~repack-8) unstable; urgency=low

  * Forcibly fail on sparc, doesn't work and never has.
  * Drop build dependency on doxygen-latex

 -- Felipe Sateler <fsateler@debian.org>  Thu, 28 Nov 2013 21:05:36 -0300

liblo (0.26~repack-7) unstable; urgency=low

  * Update copyright file: Rewrite w/ Subversion draft rev.173 of DEP5.
  * Build-depend on doxygen-latex (not doxygen), and add note on maybe
    switching back again later when possible to verify difference.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 12 Mar 2011 15:14:09 +0100

liblo (0.26~repack-6) experimental; urgency=low

  [ Felipe Sateler ]
  * Use regular spaces instead of hardspace in long descriptions.
    Closes: #575329

  [ Jonas Smedegaard ]
  * Drop local CDBS snippet: included in cdbs package now.
  * Ease building with git-buildpackage:
    + Git-ignore quilt .pc dir.
    Add dpkg-source local-options hints.
  * Rewrite copyright file using Bazaar draft rev. 137 of DEP5.
  * Adjust some copyright years.
  * Fix capitalization of project name to LibLO, and mention in long
    descriptions.
  * Bump standards-version to 3.9.1.
  * Update email address of Felipe in maintainer field.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 Jan 2011 20:52:53 +0100

liblo (0.26~repack-5) unstable; urgency=low

  * Drop Robert Jordens as uploader.
    Closes: bug#573472 - thanks for your contributions, Robert!
  * Indent with single space (not tab or multiple spaces) continuated
    fields in control file, to follow Debian Policy §7.1 documented
    convention. Sort such multiline fields.
  * Fix use plain space in long descriptions.
    Closes: bug#575329, thanks to Rhonda.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 24 Mar 2010 23:52:20 +0100

liblo (0.26~repack-4) unstable; urgency=medium

  * Tighten and relax CDBS includes, to both use very newest features
    and be backports-friendly. Closes: bug#573131, thanks to Adam D.
    Barratt.
  * Shrink local package-relations.mk to only handle binary relations
    (build relations in main since cdbs 0.4.69).
  * Relax debhelper compat level to 6: Backports-friendly, and we need
    none of the newer features anyway.
  * Relax build-dependencies as a result of above changes:
    + Drop devscripts and dh-buildinfo (needed only in
      DEB_MAINTAINER_MODE).
    + Relax debhelper to at least version 6.
    + Relax cdbs to be unversioned.
  * Set urgency=medium to avoid above minor changes (should only affect
    package hints, not sources or compilation process) affecting the
    ongoing library transition too much.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 09 Mar 2010 10:56:27 +0100

liblo (0.26~repack-3) unstable; urgency=low

  * Rerelease targeted unstable.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Mar 2010 05:51:52 +0100

liblo (0.26~repack-2) experimental; urgency=low

  [ Reinhard Tartler ]
  * improved debian/copyright

  [ Jonas Smedegaard ]
  * Update CDBS usage:
    + Use snippets buildinfo.mk and copyright-check.mk.
    + Use local snippets upstream-tarball.mk and package-relations.mk.
    + Use semi-automated build-dependency resolving.
    + Simplify local rules.
  * Build-depend on autotools-dev and a recent devscripts.
  * Fix tighten build-dependencies on cdbs and debhelper.
  * Drop superfluous *.docs files from source.
  * Install all example code, and skip Makefile.am file (unusable at
    runtime).
  * Fix mangle dversion in watch file.
  * Rewrite copyright file using DEP5 rev. 135 format.
  * Add proper licensing header to rules file.
  * Add myself as uploader.
  * Cosmetics: Use tab (not multiple spaces) in multiline entries of
    control file.
  * Use source format "3.0 'quilt'".
  * Add git-buildpackage config, enabling pristine-tar and signed tags.
  * Bump Standards-Version to 3.8.4.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Mar 2010 05:47:56 +0100

liblo (0.26~repack-1) experimental; urgency=low

  * New upstream release.
    - Repacked because of sourceless binary.
  * Enable static library building
  * Bump Standards-Version (no changes needed)
  * Switch from ${Source-Version} to ${binary:Version}
  * Add misc:Depends to liblo-dev
  * Use Homepage tag instead of putting it in the descriptions
  * Update Maintainer and Uploaders fields.
  * Add Vcs-* tags
  * Add copyright years to notice
  * Use a dpkg symbols file.
  * Upgrade compat level
  * Update licensing information
  * SONAME bump: change package names
  * Add liblo-tools package

 -- Felipe Sateler <fsateler@gmail.com>  Mon, 10 Aug 2009 01:10:43 -0400

liblo (0.25-1) unstable; urgency=low

  * New upstream release.
    - This version fixes the slow lo_server_new(). Closes: #461938.
  * liblo0 description no longer has a UTF8 nobreak char. Closes: #406611.
  * Bump Standards-Version (no changes needed)
  * Switch from ${Source-Version} to ${binary:Version}
  * Clarify copyright notice
  * Add misc:Depends to liblo-dev
  * Use Homepage tag instead of putting it in the descriptions
  * Update Maintainer and Uploaders fields.
  * Add Vcs-* tags
  * Use a dpkg symbols file.
  * Upgrade compat level

 -- Felipe Sateler <fsateler@gmail.com>  Sun, 15 Feb 2009 12:33:02 +1100

liblo (0.23-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Renamed liblo0 for the ldbl128 transition (Closes: #430267).

 -- Luk Claes <luk@debian.org>  Sat, 02 Feb 2008 14:27:36 +0000

liblo (0.23-2.1) unstable; urgency=medium

  * NMU: Providing workaround for config.h.in problem
  * urgency medium, because other packages depend on this getting fixed

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Mon, 27 Mar 2006 11:07:05 +0200

liblo (0.23-2) unstable; urgency=medium

  * fix VERSION in pkg-config file; closes: Bug#356319, 356687, 356838
    (liblo0-dev: /usr/lib/pkgconfig/liblo.pc is missing the version number)
  * urgency medium so this gets rebuilt quickly.

 -- Robert Jordens <jordens@debian.org>  Tue, 14 Mar 2006 23:13:09 +0100

liblo (0.23-1) unstable; urgency=low

  * new upstream release; closes: Bug#350638
    (liblo: Version 0.23 now available)
  * debian/control: correct homepage URL
  * debian/watch: update

 -- Robert Jordens <jordens@debian.org>  Sat,  4 Mar 2006 16:36:42 +0100

liblo (0.22-1) unstable; urgency=low

  * new upstream release (skipping two)

 -- Robert Jordens <jordens@debian.org>  Thu, 15 Sep 2005 17:40:05 +0200

liblo (0.18-1) unstable; urgency=low

  * new upstream release

 -- Robert Jordens <jordens@debian.org>  Thu, 24 Mar 2005 17:29:59 +0100

liblo (0.16-1) unstable; urgency=low

  * new upstream release

 -- Robert Jordens <jordens@debian.org>  Fri, 11 Feb 2005 22:36:52 +0100

liblo (0.15-1) unstable; urgency=low

  * new upstream release

 -- Robert Jordens <jordens@debian.org>  Wed,  1 Dec 2004 23:40:15 +0100

liblo (0.13-1) unstable; urgency=low

  * new upstream release (skiping a few)

 -- Robert Jordens <jordens@debian.org>  Thu,  4 Nov 2004 22:26:05 +0100

liblo (0.9-2) unstable; urgency=low

  * upload 0.9-1 from experimental unchanged to unstable (changes: new
    upstream, better description of OSC)

 -- Robert Jordens <jordens@debian.org>  Thu,  2 Sep 2004 18:24:19 +0200

liblo (0.9-1) experimental; urgency=low

  * new upstream release; upload to experimental to let 0.8-1 into testing
  * debian/control: More descriptive information about OSC;
    closes: Bug#266557

 -- Robert Jordens <jordens@debian.org>  Thu, 19 Aug 2004 18:08:17 +0200

liblo (0.8-1) unstable; urgency=low

  * new upstream release
  * debian/copyright: corrected: removed reference to irrelevant package

 -- Robert Jordens <jordens@debian.org>  Sun,  1 Aug 2004 00:20:55 +0200

liblo (0.7-1) unstable; urgency=low

  * initial Debian release; closes: Bug#261918 (the ITP)

 -- Robert Jordens <jordens@debian.org>  Thu, 29 Jul 2004 09:02:03 -0600
